#include <msp430x14x.h>
#include  "projekt.h"
#include "var.h"

void main(void)
{
    WDTCTL = WDTPW + WDTHOLD;            // Watchdog Timer stoppen   
    InitPorts();                         // Ports initialisieren
                                           
    LCDInit();                           
    LCDClear();                            
                                              
    LCDHome();                           
    LCDOuts("     Empfangen: ");            
    InitUART();                          
    
    for(;;)
    { 
      if(StringReady == 1)        /
        {                           
            ThirdLine();            
            SpaceOut(4);           
            LCDOuts(out_str);        
            StringReady= 0;
	    SendUSART0("test");    /
        }
    }
}

#pragma vector=UART0RX_VECTOR
__interrupt void usart0_rx (void)
{                 
    if((RXBUF0 != 0x0D) && (StringReady == 0))
    { 
      out_str[NextStr++]= RXBUF0;       
    }
    else
    {
        //out_str[NextStr++] = '\0';   // String mit '0' abschlieen
        StringReady = 1;             
        NextStr = 0;
        IFG1 &= ~URXIFG0;                // Interrupt-Flag lschen 
    }
}/* __interrupt void usart0_rx (void) */
