#include  <msp430x14x.h>

void InitUART(void)
{
  P3DIR = 0x12;
  P3SEL = 0x30;                    

  ME1 |= UTXE0 + URXE0;            
  
  UCTL0 |= CHAR;                   
 
  UTCTL0 |= SSEL0;                  
 
  UBR00 = 0x03;                    
  UBR10 = 0x00;                    
  UMCTL0 = 0x4A;                   
  UCTL0 &= ~SWRST;                 
  IE1 |= URXIE0 + UTXIE0;          
 
  IFG1 &= ~UTXIFG0;                 
  
  _BIS_SR(GIE);        // Interrupts ... 
}

void SendUSART0(unsigned char* str)  /
{                                    
  while (*str != 0)
  {
    while (!(IFG1 & UTXIFG0));       // Warten, bis USART0 TX-Buffer sendebereit
    TXBUF0 = *str++;
  }
  while (!(IFG1 & UTXIFG0));         // Warten, bis USART0 TX-Buffer sendebereit
  TXBUF0= 0x0D;                      
}
